# Generated by Django 4.2.3 on 2025-02-04 14:09

import colmena.validators.files
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("organizations", "0014_userteam_group"),
    ]

    operations = [
        migrations.CreateModel(
            name="ExternalHyperlink",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=255, verbose_name="external_hyperlink_name"
                    ),
                ),
                (
                    "logo",
                    models.ImageField(
                        upload_to="external-hyperlink-logos",
                        validators=[colmena.validators.files.validate_max_size],
                        verbose_name="external_hyperlink_logo",
                    ),
                ),
                ("url", models.URLField(verbose_name="external_hyperlink_url")),
                (
                    "organization",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="external_hyperlink_organization",
                        to="organizations.organization",
                    ),
                ),
            ],
        ),
    ]
